% Esercizio 5
close all
clear all
clc

a = -1; b =  1;

N = 21;
% Punti di valutazione
xeq   = linspace(a,b,N);
xcheb = chebnodi(a,b,N);

figure;
h = plot(xeq,xeq*0,'xr');
set(h,'LineWidth',2);
hold on
h = plot(xcheb,xcheb*0+1,'xb');
set(h,'LineWidth',2);
hold off
legend('nodi equi','nodi cheb');
axis([a b -1 2])

% Valutazione della funzione
feq   = frunge(xeq);
fcheb = frunge(xcheb);

% x di disegno
xval = linspace(a,b,200);

% Valutazione delle due interpolation polinomiali
Peq = polyfit(xeq,feq,length(xeq)-1);
yeqval = polyval(Peq,xval);

Pcheb = polyfit(xcheb,fcheb,length(xcheb)-1);
ychebval = polyval(Pcheb,xval);

% Disegno funzione e due interpolanti
figure;
h = plot(xval,frunge(xval),'k');
set(h,'LineWidth',2);
hold on
h = plot(xval,yeqval,'r');
set(h,'LineWidth',2);
h = plot(xval,ychebval,'b');
set(h,'LineWidth',2);
hold off
legend('Funzione','Interp. equi','Interp. cheb');
