close all
clear all
clc


% Estremi intervallo della funzione
a = -5; b = 5;

% Punti di valutazione
N = 101;
x = linspace(a,b,N);

% Valutazione della funzione
y = frunge(x);

% x di disegno
xval = linspace(a,b,401);
yval = frunge(xval);

% % Interpolazione lineare
% ylin = interp1(x,y,xval,'linear');
% Interpolazione spline cubica 
ylin = spline(x,y,xval);

% Errore in norma infinito
norm(yval-ylin,inf);

% Disegno andamento soluzione
figure;
h = plot(xval,yval,'k');
set(h,'LineWidth',4);
hold on
h = plot(xval,ylin,'r');
set(h,'LineWidth',2);
hold off

% Disegno andamento errore
figure;
h = semilogy(xval,abs(yval-ylin)+eps,'-');
set(h,'LineWidth',2);

